# Uses of Class
javassist.CtConstructor

Packages that use CtConstructor
Package
Description
javassist
The Javassist Core API.
javassist.expr
This package contains the classes for modifying a method body.

## Uses of CtConstructor in javassist

Methods in javassist that return CtConstructor
Modifier and Type
Method
Description
`static CtConstructor`
CtNewConstructor.`copy(CtConstructor c, CtClass declaring, ClassMap map)`
Creates a copy of a constructor.
`static CtConstructor`
CtNewConstructor.`defaultConstructor(CtClass declaring)`
Creates a default (public) constructor.
`CtConstructor`
CtClass.`getClassInitializer()`
Gets the class initializer (static constructor) declared in the class.
`CtConstructor`
CtClass.`getConstructor(String desc)`
Returns the constructor with the given signature, which is represented by a character string called method descriptor.
`CtConstructor[]`
CtClass.`getConstructors()`
Returns an array containing `CtConstructor` objects representing all the non-private constructors of the class.
`CtConstructor`
CtClass.`getDeclaredConstructor(CtClass[] params)`
Returns a constructor receiving the specified parameters.
`CtConstructor[]`
CtClass.`getDeclaredConstructors()`
Gets all the constructors declared in the class.
`static CtConstructor`
CtNewConstructor.`make(String src, CtClass declaring)`
Compiles the given source code and creates a constructor.
`static CtConstructor`
CtNewConstructor.`make(CtClass[] parameters, CtClass[] exceptions, int howto, CtMethod body, CtMethod.ConstParameter cparam, CtClass declaring)`
Creates a public constructor.
`static CtConstructor`
CtNewConstructor.`make(CtClass[] parameters, CtClass[] exceptions, String body, CtClass declaring)`
Creates a public constructor.
`static CtConstructor`
CtNewConstructor.`make(CtClass[] parameters, CtClass[] exceptions, CtClass declaring)`
Creates a public constructor that only calls a constructor in the super class.
`CtConstructor`
CtClass.`makeClassInitializer()`
Makes an empty class initializer (static constructor).
`static CtConstructor`
CtNewConstructor.`skeleton(CtClass[] parameters, CtClass[] exceptions, CtClass declaring)`
Creates a public constructor that only calls a constructor in the super class.
Methods in javassist with parameters of type CtConstructor
Modifier and Type
Method
Description
`void`
CtClass.`addConstructor(CtConstructor c)`
Adds a constructor.
`static CtConstructor`
CtNewConstructor.`copy(CtConstructor c, CtClass declaring, ClassMap map)`
Creates a copy of a constructor.
`void`
CtClass.`removeConstructor(CtConstructor c)`
Removes a constructor declared in this class.
`void`
CtConstructor.`setBody(CtConstructor src, ClassMap map)`
Copies a constructor body from another constructor.
Constructors in javassist with parameters of type CtConstructor
Modifier
Constructor
Description
``
`CtConstructor(CtConstructor src, CtClass declaring, ClassMap map)`
Creates a copy of a `CtConstructor` object.

## Uses of CtConstructor in javassist.expr

Methods in javassist.expr that return CtConstructor
Modifier and Type
Method
Description
`CtConstructor`
ConstructorCall.`getConstructor()`
Returns the called constructor.
`CtConstructor`
NewExpr.`getConstructor()`
Returns the constructor called for creating the object.